FreeMat

- Main Page
- Related Pages

vtkOBJExporter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOBJExporter is a concrete subclass of vtkExporter that writes wavefront .OBJ files in ASCII form. It also writes out a mtl file that contains the material properties. The filenames are derived by appending the .obj and .mtl suffix onto the user specified FilePrefix.

To create an instance of class vtkOBJExporter, simply invoke its constructor as follows

      obj = vtkOBJExporter

# Methods

The class vtkOBJExporter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOBJExporter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOBJExporter = obj.NewInstance ()`
- `vtkOBJExporter = obj.SafeDownCast (vtkObject o)`
- `obj.SetFilePrefix (string )` - Specify the prefix of the files to write out. The resulting filenames will have .obj and .mtl appended to them.
- `string = obj.GetFilePrefix ()` - Specify the prefix of the files to write out. The resulting filenames will have .obj and .mtl appended to them.